// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
filename = "foo.txt";
instr = "data = nistdataset_read(filename)";
assert_checkerror ( instr , "nistdataset_read: Cannot open file foo.txt" );

//
path = nistdataset_getpath();
filename = fullfile(path,"datasets","nls","lower","Gauss2.dat");
data = nistdataset_read(filename);
disp(data)
// Check x
assert_checkequal(size(data.x),[250,1]);
assert_checkequal(round(data.x)-data.x,zeros(250,1));
assert_checktrue(data.x>=1);
assert_checktrue(data.x<=250);
// Check y
assert_checkequal(size(data.y),[250,1]);
assert_checktrue(data.y>=1.182677);
assert_checktrue(data.y<=133.8252);
// Check start1
assert_checkequal(size(data.start1),[8,1]);
// Check start2
assert_checkequal(size(data.start2),[8,1]);
// Check parameter
assert_checkequal(size(data.parameter),[8,1]);
// Check standarddeviation
assert_checkequal(size(data.standarddeviation),[8,1]);


